package com.syjy;


import com.syjy.tunnelinfo.BaseTunnelInfo;
import com.syjy.tunnelinfo.gathertunnelinfo.GatherModbusRtuTunnelInfo;
import com.syjy.tunnelinfo.gathertunnelinfo.GatherModbusTcpTunnelInfo;
import com.syjy.tunnelworker.BaseProtocolTunnel;
import com.syjy.tunnelworker.gathers.iml.ModbusRtuDataGather;
import com.syjy.tunnelworker.gathers.iml.ModbusTcpDataGather;

/**
 * 用Tunnel Info 创建通达
 *
 * @author: xiuwei
 * @version:
 */
public class TunnelBuilder {


    public static BaseProtocolTunnel buildTunnel(BaseTunnelInfo tunnelInfo) throws DataExchangeException {
        switch (tunnelInfo.getTunnelType()) {
            case MODBUSRTUMASTER:
                return new ModbusRtuDataGather((GatherModbusRtuTunnelInfo) tunnelInfo).buildTunnel();
            case MODBUSTCPMASTER:
                return new ModbusTcpDataGather((GatherModbusTcpTunnelInfo) tunnelInfo).buildTunnel();

            default:
                return null;
        }
    }


}


