package com.syjy.http;

import com.syjy.GetStaticFileUtils;
import com.syjy.container.ProtocolDataContainer;

/**
 * 请求控制器
 *
 * @author xiuwei
 * @date 2021/11/26
 */
public class RequestController {


    private RequestController() {
    }

    public static final RequestController getInstance() {
        return LazyHolder.INSTANCE;
    }

    @RequestHandlerFunction(requestType = RequestControllerManager.RequestMethodType.GET, requestUrl = "/")
    public RequestHandler index() {
        return (request) -> index().getTextResponse(GetStaticFileUtils.getFileContext("master.html"));
    }

    @RequestHandlerFunction(requestType = RequestControllerManager.RequestMethodType.GET, requestUrl = "/getAllPoints")
    public RequestHandler getAllPoints() {
        return (request) -> index().getTextResponse(ProtocolDataContainer.getInstance().toJSONString());
    }


    @RequestHandlerFunction(requestType = RequestControllerManager.RequestMethodType.GET, requestUrl = "/favicon.ico")
    public RequestHandler icon() {
        return (request) -> icon().getIcon(GetStaticFileUtils.getFileStream("favicon.ico"));
    }

    @RequestHandlerFunction(requestType = RequestControllerManager.RequestMethodType.GET, requestUrl = "/getValues")
    public RequestHandler getValues() {
        return (request) -> getValues().getTextResponse(ProtocolDataContainer.getInstance().getValues().toJSONString());
    }

    private static class LazyHolder {
        private static final RequestController INSTANCE = new RequestController();
    }


}
